catalog:
  title: MORSE Simulator

templates:
- github
- cmake-cpp
- base

variables:
  description: MORSE simulation environment.
  keywords:
  - robot
  - simulation
  - physics
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  ros: ${next-value|indigo}

  github.user: morse-simulator
  github.project: morse

  git.shallow?: false
  branches:
  - master
  - 1.2_STABLE
  - 1.4_STABLE
  - bb2a685735

  timeout/minutes: 90

  extra-provides:
  - nature: cmake
    target: morse
  extra-requires:
  - nature: setuptools
    target: rospkg
  - nature: setuptools
    target: catkin_pkg
  - nature: setuptools
    target: ros-catkin

  platform-requires:
    ubuntu:
      packages:
      - blender
      - build-essential
      - python3
      - python3-dev
      - python3-yaml
      - ros-${ros}-desktop
      - '@{next-value|[]}'

  cmake.options:
  - PYMORSE_SUPPORT=ON
  - BUILD_ROS_SUPPORT=ON
  - BUILD_TYPE=Release
  - '@{next-value|[]}'
